%define name tint2
%define version 0.11
%define release %mkrel 2

Summary: lightweight taskbar
Name: %{name}
Version: %{version}
Release: %{release}
Source: http://code.google.com/p/tint2/downloads/list/%{name}-%{version}.tar.xz
Source1: tintwizard.desktop
Patch0: %{name}-add-power-now-support.patch
License: GPLv2+
Group: System/X11
URL: http://code.google.com/p/tint2/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gtk2-devel 
BuildRequires: libimlib2-devel
BuildRequires: libcairo-devel
BuildRequires: libxinerama1-devel
BuildRequires: glib2-devel
BuildRequires: libx11_6-devel
Obsoletes:  %name < %version
Requires:	pygtk2.0

%description
Tint is a simple panel/taskbar intentionally made for openbox3, but should
also work with other window managers. The taskbar includes transparency and
color settings for the font, icons, border, and background. It also supports
multihead setups, customized mouse actions, and a built-in clock. Tint was
originally based on ttm code.

%package doc
Summary:	tint2 doc files
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description doc
This package contains doc files.


%prep
%setup -q 
%apply_patches

%build
%cmake
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

install -m 0644 %SOURCE1 %{buildroot}%{_datadir}/applications/tintwizard.desktop

#fix menu files
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Configuration-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


  
%files 
%defattr(-,-,root)
%{_sysconfdir}/xdg/tint2/tint2rc
%{_bindir}/tint2
%{_bindir}/tint2conf
%{_bindir}/tintwizard.py
%{_datadir}/tint2/*.png
%{_mandir}/man1/*
%{_datadir}/applications/tint2conf.desktop
%{_datadir}/applications/tintwizard.desktop
%{_datadir}/pixmaps/tint2conf.png
%{_datadir}/pixmaps/tint2conf.svg


%files doc
%defattr(-,root,root)
%{_datadir}/doc/tint2/*

%clean
#rm -rf %{buildroot}


%changelog
* Mon Jul 25 2016 adrianomorselli <adrianomorselli> 0.11-2uplos2013
- rebuild

* Wed Dec 25 2013 bb <bb> 0.11-2pclos2013
- add powernow patch
- add desktop file for tintwizard
- add req. pygtk2.0
- fix menu files

* Mon Dec 05 2011 Texstar <texstar at gmail.com> 0.11-1pclos2011
- 0.11

* Sun Jun 06 2010 slick50 <lxgator@gmail.com> 0.10-1pclos2010
- 0.10

* Sun Apr 18 2010 Texstar <texstar at gmail.com> 0.9-2pclos2010
- update from svn 
- rebuild against updated libs
- split out doc files

* Tue Mar 16 2010 siamer <siamer@wp.pl> 0.9-1pclos2010
- new version
- removed pdf file (was to version 0.7)

* Wed Oct 28 2009 slick50 <lxgator@gmail.com> 0.7.1-1pclos2010
- initial pkg

